Bug 1674961 - ghc-bdcs-api: FTBFS in Fedora rawhide/f30 [NEEDINFO]
Summary: ghc-bdcs-api: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc-bdcs-api
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 18:25 UTC by Fedora Release Engineering
Modified: 2019-06-05 13:07 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-05 13:07:21 UTC
releng: needinfo? (dshea)


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 18:25 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 18:25 UTC, Fedora Release Engineering
no flags Details
state.log (481 bytes, text/plain)
2019-02-11 18:25 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 18:25:30 UTC
ghc-bdcs-api failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32387621


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix ghc-bdcs-api at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
ghc-bdcs-api will be orphaned. Before branching of Fedora 31,
ghc-bdcs-api will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 18:25:31 UTC
Created attachment 1530110 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 18:25:33 UTC
Created attachment 1530111 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 18:25:34 UTC
Created attachment 1530112 [details]
state.log

Comment 4 Chris Lumens 2019-02-14 21:46:00 UTC
I don't think they're planning on using this stuff in composer anymore, but I'm not involved so I don't need the bug.  Reassigning.

Comment 5 Fedora Release Engineering 2019-04-26 23:27:13 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 6 Fedora Release Engineering 2019-06-03 21:42:33 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 8 Chris Lumens 2019-06-05 13:07:21 UTC
I'm still not working on this, and I'm positive they're not going to use it anymore, so I'm not going to do anything on this bug.


Note You need to log in before you can comment on or make changes to this bug.